=== modified file 'drizzled/alter_info.h'
--- drizzled/alter_info.h	2009-11-16 02:35:00 +0000
+++ drizzled/alter_info.h	2009-12-04 23:47:14 +0000
@@ -28,6 +28,7 @@
 #include "drizzled/base.h"
 #include "drizzled/enum.h"
 #include "drizzled/sql_list.h" /** @TODO use STL vectors! */
+#include "drizzled/message/table.pb.h"
 
 #include <bitset>
 

=== modified file 'drizzled/foreign_key.h'
--- drizzled/foreign_key.h	2009-07-10 06:40:04 +0000
+++ drizzled/foreign_key.h	2009-12-04 23:47:14 +0000
@@ -24,6 +24,7 @@
 #include <drizzled/sql_alloc.h>
 #include <drizzled/key.h>
 #include <drizzled/sql_list.h>
+#include "drizzled/cursor.h" /* for default_key_create_info */
 
 class Item;
 class Table_ident;

=== modified file 'drizzled/hybrid_type_traits.cc'
--- drizzled/hybrid_type_traits.cc	2009-03-08 23:45:12 +0000
+++ drizzled/hybrid_type_traits.cc	2009-12-04 23:47:14 +0000
@@ -17,9 +17,10 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include <drizzled/server_includes.h>
-#include <drizzled/hybrid_type_traits.h>
-#include <drizzled/hybrid_type.h>
+#include "drizzled/server_includes.h"
+#include "drizzled/hybrid_type_traits.h"
+#include "drizzled/hybrid_type.h"
+#include "drizzled/item.h"
 
 static const Hybrid_type_traits real_traits_instance;
 

=== modified file 'drizzled/hybrid_type_traits_decimal.cc'
--- drizzled/hybrid_type_traits_decimal.cc	2009-06-24 17:47:02 +0000
+++ drizzled/hybrid_type_traits_decimal.cc	2009-12-04 23:47:14 +0000
@@ -17,10 +17,11 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include <drizzled/server_includes.h>
-#include <drizzled/hybrid_type_traits_decimal.h>
-#include <drizzled/hybrid_type.h>
-#include <drizzled/definitions.h>
+#include "drizzled/server_includes.h"
+#include "drizzled/hybrid_type_traits_decimal.h"
+#include "drizzled/hybrid_type.h"
+#include "drizzled/definitions.h"
+#include "drizzled/item.h"
 
 #include <algorithm>
 

=== modified file 'drizzled/hybrid_type_traits_integer.cc'
--- drizzled/hybrid_type_traits_integer.cc	2008-11-16 20:15:33 +0000
+++ drizzled/hybrid_type_traits_integer.cc	2009-12-04 23:47:14 +0000
@@ -18,11 +18,11 @@
  */
 
 
-#include <drizzled/server_includes.h>
-#include <drizzled/hybrid_type_traits_integer.h>
-#include <drizzled/hybrid_type.h>
-#include <drizzled/definitions.h>
-
+#include "drizzled/server_includes.h"
+#include "drizzled/hybrid_type_traits_integer.h"
+#include "drizzled/hybrid_type.h"
+#include "drizzled/definitions.h"
+#include "drizzled/item.h"
 
 
 /* Hybrid_type_traits_integer */

=== modified file 'drizzled/item/cache.h'
--- drizzled/item/cache.h	2008-12-10 18:29:41 +0000
+++ drizzled/item/cache.h	2009-12-04 23:47:14 +0000
@@ -20,8 +20,9 @@
 #ifndef DRIZZLED_ITEM_CACHE_H
 #define DRIZZLED_ITEM_CACHE_H
 
-#include <drizzled/item/ident.h>
-#include <drizzled/item/field.h>
+#include "drizzled/item/ident.h"
+#include "drizzled/item/field.h"
+#include "drizzled/item/basic_constant.h"
 
 class Item_cache: public Item_basic_constant
 {

=== modified file 'drizzled/item/ident.h'
--- drizzled/item/ident.h	2009-06-05 23:18:55 +0000
+++ drizzled/item/ident.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_IDENT_H
 #define DRIZZLED_ITEM_IDENT_H
 
+#include "drizzled/item.h"
+
 extern uint32_t lower_case_table_names;
 
 class Item_ident :public Item

=== modified file 'drizzled/item/insert_value.h'
--- drizzled/item/insert_value.h	2009-05-15 01:47:27 +0000
+++ drizzled/item/insert_value.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_INSERT_VALUE_H
 #define DRIZZLED_ITEM_INSERT_VALUE_H
 
+#include "drizzled/item/field.h"
+
 /*
   Item_insert_value -- an implementation of VALUES() function.
   You can use the VALUES(col_name) function in the UPDATE clause

=== modified file 'drizzled/item/null.h'
--- drizzled/item/null.h	2009-08-06 07:14:37 +0000
+++ drizzled/item/null.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_NULL_H
 #define DRIZZLED_ITEM_NULL_H
 
+#include "drizzled/item/basic_constant.h"
+
 class Item_null :public Item_basic_constant
 {
 public:

=== modified file 'drizzled/item/num.h'
--- drizzled/item/num.h	2008-12-06 02:18:10 +0000
+++ drizzled/item/num.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_NUM_H
 #define DRIZZLED_ITEM_NUM_H
 
+#include "drizzled/item/basic_constant.h"
+
 class Item_num: public Item_basic_constant
 {
 public:

=== modified file 'drizzled/item/outer_ref.h'
--- drizzled/item/outer_ref.h	2009-02-07 22:02:41 +0000
+++ drizzled/item/outer_ref.h	2009-12-04 23:47:14 +0000
@@ -17,13 +17,12 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include <drizzled/item/direct_ref.h>
-
 #ifndef DRIZZLED_ITEM_OUTER_REF_H
 #define DRIZZLED_ITEM_OUTER_REF_H
 
-#include <drizzled/item/ref.h>
-#include <drizzled/item/direct_ref.h>
+#include "drizzled/item/ref.h"
+#include "drizzled/item/direct_ref.h"
+#include "drizzled/item/field.h"
 
 /*
   Class for outer fields.

=== modified file 'drizzled/item/ref.cc'
--- drizzled/item/ref.cc	2009-08-12 20:53:55 +0000
+++ drizzled/item/ref.cc	2009-12-04 23:47:14 +0000
@@ -17,13 +17,14 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include <drizzled/server_includes.h>
+#include "drizzled/server_includes.h"
 #include CSTDINT_H
-#include <drizzled/session.h>
-#include <drizzled/error.h>
-#include <drizzled/show.h>
-#include <drizzled/item/ref.h>
-#include <drizzled/plugin/client.h>
+#include "drizzled/session.h"
+#include "drizzled/error.h"
+#include "drizzled/show.h"
+#include "drizzled/item/ref.h"
+#include "drizzled/plugin/client.h"
+#include "drizzled/item/sum.h"
 
 using namespace drizzled;
 

=== modified file 'drizzled/item/ref.h'
--- drizzled/item/ref.h	2009-08-06 07:14:37 +0000
+++ drizzled/item/ref.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_REF_H
 #define DRIZZLED_ITEM_REF_H
 
+#include "drizzled/item/ident.h"
+
 class Item_ref :public Item_ident
 {
 protected:

=== modified file 'drizzled/item/row.h'
--- drizzled/item/row.h	2009-06-05 23:18:55 +0000
+++ drizzled/item/row.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_ROW_H
 #define DRIZZLED_ITEM_ROW_H
 
+#include "drizzled/item.h"
+
 class Item_row: public Item
 {
   Item **items;

=== modified file 'drizzled/item/subselect.h'
--- drizzled/item/subselect.h	2009-11-19 18:58:35 +0000
+++ drizzled/item/subselect.h	2009-12-04 23:47:14 +0000
@@ -23,9 +23,10 @@
 /* subselect Item */
 
 
-#include <drizzled/comp_creator.h>
-#include <drizzled/item/ref.h>
-#include <drizzled/item/field.h>
+#include "drizzled/comp_creator.h"
+#include "drizzled/item/ref.h"
+#include "drizzled/item/field.h"
+#include "drizzled/item/bin_string.h"
 
 class Select_Lex;
 class Select_Lex_Unit;

=== modified file 'drizzled/name_resolution_context.h'
--- drizzled/name_resolution_context.h	2009-06-11 20:45:34 +0000
+++ drizzled/name_resolution_context.h	2009-12-04 23:47:14 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_NAME_RESOLUTION_CONTEXT_H
 #define DRIZZLED_NAME_RESOLUTION_CONTEXT_H
 
+#include "drizzled/item.h"
+
 class TableList;
 class Security_context;
 class Session;

=== modified file 'drizzled/plugin/authentication.h'
--- drizzled/plugin/authentication.h	2009-10-27 17:36:23 +0000
+++ drizzled/plugin/authentication.h	2009-12-04 23:47:14 +0000
@@ -22,6 +22,8 @@
 #ifndef DRIZZLED_PLUGIN_AUTHENTICATION_H
 #define DRIZZLED_PLUGIN_AUTHENTICATION_H
 
+#include "drizzled/plugin/plugin.h"
+
 class Session;
 
 namespace drizzled

=== modified file 'drizzled/plugin/error_message.h'
--- drizzled/plugin/error_message.h	2009-10-27 17:36:23 +0000
+++ drizzled/plugin/error_message.h	2009-12-04 23:47:14 +0000
@@ -22,6 +22,8 @@
 #ifndef DRIZZLED_PLUGIN_ERROR_MESSAGE_H
 #define DRIZZLED_PLUGIN_ERROR_MESSAGE_H
 
+#include "drizzled/plugin/plugin.h"
+
 #include <stdarg.h>
 #include <string>
 

=== modified file 'drizzled/plugin/info_schema_table.h'
--- drizzled/plugin/info_schema_table.h	2009-11-30 17:23:08 +0000
+++ drizzled/plugin/info_schema_table.h	2009-12-04 23:47:14 +0000
@@ -21,6 +21,7 @@
 #ifndef DRIZZLED_PLUGIN_INFO_SCHEMA_TABLE_H
 #define DRIZZLED_PLUGIN_INFO_SCHEMA_TABLE_H
 
+#include "drizzled/plugin/plugin.h"
 #include "drizzled/hash/crc32.h"
 
 #include <string>
@@ -40,6 +41,7 @@
  */
 
 typedef class Item COND;
+class InfoSchemaTable;
 
 
 /**

=== modified file 'drizzled/plugin/logging.h'
--- drizzled/plugin/logging.h	2009-10-27 17:36:23 +0000
+++ drizzled/plugin/logging.h	2009-12-04 23:47:14 +0000
@@ -22,6 +22,8 @@
 #ifndef DRIZZLED_PLUGIN_LOGGING_H
 #define DRIZZLED_PLUGIN_LOGGING_H
 
+#include "drizzled/plugin/plugin.h"
+
 #include <string>
 
 namespace drizzled

=== modified file 'drizzled/plugin/query_cache.h'
--- drizzled/plugin/query_cache.h	2009-10-27 17:36:23 +0000
+++ drizzled/plugin/query_cache.h	2009-12-04 23:47:14 +0000
@@ -22,6 +22,8 @@
 #ifndef DRIZZLED_PLUGIN_QUERY_CACHE_H
 #define DRIZZLED_PLUGIN_QUERY_CACHE_H
 
+#include "drizzled/plugin/plugin.h"
+
 namespace drizzled
 {
 namespace plugin

=== modified file 'drizzled/plugin/scheduler.h'
--- drizzled/plugin/scheduler.h	2009-10-27 17:36:23 +0000
+++ drizzled/plugin/scheduler.h	2009-12-04 23:47:14 +0000
@@ -22,6 +22,8 @@
 #ifndef DRIZZLED_PLUGIN_SCHEDULER_H
 #define DRIZZLED_PLUGIN_SCHEDULER_H
 
+#include "drizzled/plugin/plugin.h"
+
 #include <string>
 #include <vector>
 

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2009-12-01 20:29:58 +0000
+++ drizzled/plugin/storage_engine.h	2009-12-04 23:47:14 +0000
@@ -38,6 +38,7 @@
 class Session;
 class XID;
 class Cursor;
+typedef struct st_hash HASH;
 
 class TableShare;
 typedef struct st_mysql_lex_string LEX_STRING;

=== modified file 'drizzled/plugin/transaction_replicator.h'
--- drizzled/plugin/transaction_replicator.h	2009-10-28 16:38:30 +0000
+++ drizzled/plugin/transaction_replicator.h	2009-12-04 23:47:14 +0000
@@ -25,6 +25,7 @@
 #define DRIZZLED_PLUGIN_TRANSACTION_REPLICATOR_H
 
 #include "drizzled/atomics.h"
+#include "drizzled/plugin/plugin.h"
 
 /**
  * @file Defines the API for a TransactionReplicator.  

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-12-04 20:16:03 +0000
+++ drizzled/server_includes.h	2009-12-04 23:47:14 +0000
@@ -44,7 +44,6 @@
 #include <drizzled/errmsg_print.h>
 
 #include <drizzled/field.h>
-#include <drizzled/item/sum.h>
 
 #include <string>
 #include <sstream>
@@ -142,6 +141,8 @@
 extern struct my_option my_long_options[];
 extern std::bitset<5> sql_command_flags[];
 
+namespace drizzled { namespace plugin { class StorageEngine; } }
+
 extern drizzled::plugin::StorageEngine *myisam_engine;
 extern drizzled::plugin::StorageEngine *heap_engine;
 

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2009-12-04 20:16:03 +0000
+++ drizzled/sql_base.h	2009-12-04 23:47:14 +0000
@@ -24,6 +24,7 @@
 #include <drizzled/table.h>
 
 class TableShare;
+class Name_resolution_context;
 
 void table_cache_free(void);
 bool table_cache_init(void);

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2009-11-04 16:17:49 +0000
+++ drizzled/sql_lex.h	2009-12-04 23:47:14 +0000
@@ -28,7 +28,6 @@
 #include "drizzled/plugin/function.h"
 #include "drizzled/name_resolution_context.h"
 #include "drizzled/item/subselect.h"
-#include "drizzled/item/outer_ref.h"
 #include "drizzled/table_list.h"
 #include "drizzled/function/math/real.h"
 #include "drizzled/alter_drop.h"

=== modified file 'plugin/default_replicator/default_replicator.cc'
--- plugin/default_replicator/default_replicator.cc	2009-11-10 20:47:10 +0000
+++ plugin/default_replicator/default_replicator.cc	2009-12-04 23:47:14 +0000
@@ -33,11 +33,13 @@
  */
 
 #include <drizzled/server_includes.h>
-#include "default_replicator.h"
-
+#include <drizzled/plugin/registry.h>
+#include <drizzled/plugin.h>
 #include <drizzled/gettext.h>
 #include <drizzled/plugin/transaction_applier.h>
 
+#include "default_replicator.h"
+
 #include <vector>
 #include <string>
 
@@ -72,14 +74,14 @@
 
 static DefaultReplicator *default_replicator= NULL; /* The singleton replicator */
 
-static int init(drizzled::plugin::Registry &registry)
+static int init(plugin::Registry &registry)
 {
   default_replicator= new DefaultReplicator("default_replicator");
   registry.add(default_replicator);
   return 0;
 }
 
-static int deinit(drizzled::plugin::Registry &registry)
+static int deinit(plugin::Registry &registry)
 {
   if (default_replicator)
   {

=== modified file 'plugin/filtered_replicator/filtered_replicator.cc'
--- plugin/filtered_replicator/filtered_replicator.cc	2009-11-10 20:47:10 +0000
+++ plugin/filtered_replicator/filtered_replicator.cc	2009-12-04 23:47:14 +0000
@@ -37,11 +37,13 @@
  */
 
 #include <drizzled/server_includes.h>
-#include "filtered_replicator.h"
-
 #include <drizzled/gettext.h>
 #include <drizzled/plugin/transaction_applier.h>
 #include <drizzled/message/transaction.pb.h>
+#include <drizzled/plugin.h>
+#include <drizzled/plugin/registry.h>
+
+#include "filtered_replicator.h"
 
 #include <vector>
 #include <string>

=== modified file 'plugin/information_engine/information_engine.h'
--- plugin/information_engine/information_engine.h	2009-12-02 00:40:18 +0000
+++ plugin/information_engine/information_engine.h	2009-12-04 23:47:14 +0000
@@ -24,6 +24,7 @@
 #include <drizzled/server_includes.h>
 #include <mysys/thr_lock.h>
 #include <drizzled/plugin/info_schema_table.h>
+#include <drizzled/plugin/storage_engine.h>
 
 static const char *information_exts[] = {
   NULL

=== modified file 'plugin/signal_handler/signal_handler.cc'
--- plugin/signal_handler/signal_handler.cc	2009-11-10 20:47:10 +0000
+++ plugin/signal_handler/signal_handler.cc	2009-12-04 23:47:14 +0000
@@ -17,6 +17,8 @@
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
 #include <drizzled/unireg.h>
+#include <drizzled/plugin/storage_engine.h>
+#include <drizzled/cursor.h> /* for refresh_version */
 
 static bool kill_in_progress= false;
 static bool volatile signal_thread_in_use= false;

=== modified file 'plugin/transaction_log/background_worker.cc'
--- plugin/transaction_log/background_worker.cc	2009-11-16 22:00:02 +0000
+++ plugin/transaction_log/background_worker.cc	2009-12-04 23:47:14 +0000
@@ -57,6 +57,8 @@
  */
 
 #include <drizzled/server_includes.h>
+#include <drizzled/gettext.h>
+
 #include "transaction_log.h"
 #include "background_worker.h"
 

